Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 3.4.2

Bug #20402 SVN pre-commit hook fails due to unknown argument error
Submitted: 2014-09-10 12:55 UTC
From: jouny Assigned: squiz
Status: Closed Package: PHP_CodeSniffer (version 2.0.0RC1)
PHP Version: 5.3.25 OS: centos6.4
Roadmaps: (Not assigned)    
Subscription  


 [2014-09-10 12:55 UTC] jouny (jouny luo)
Description: ------------ /data/svntools/PHP_CodeSniffer-2.0.0RC1/scripts/phpcs- svn-pre-commit "$REPOS" -t "$TXN" >&2 || exit 1 Test script: --------------- /data/svntools/PHP_CodeSniffer-2.0.0RC1/scripts/phpcs-svn-pre-commit "$REPOS" -t "$TXN" >&2 || exit 1 Expected result: ---------------- Commit blocked by pre-commit hook (exit code 1) with output: ERROR: option "t" not known. Usage: phpcs [-nwlsaepvi] [-d key[=value]] [--report=<report>] [--report-file=<reportFile>] Actual result: -------------- Commit blocked by pre-commit hook (exit code 1) with output: ERROR: option "t" not known. Usage: phpcs [-nwlsaepvi] [-d key[=value]] [--report=<report>] [--report-file=<reportFile>]

Comments

 [2014-09-10 13:14 UTC] jouny (jouny luo)
-Operating System: win7 +Operating System: centos6.4 -PHP Version: 5.3.29 +PHP Version: 5.3.25
 [2014-09-11 09:42 UTC] squiz (Greg Sherwood)
-Summary: PHP_CodeSniffer error +Summary: SVN pre-commit hook fails due to unknown argument error -Assigned To: +Assigned To: squiz
 [2014-09-11 09:44 UTC] squiz (Greg Sherwood)
 [2014-09-11 09:44 UTC] squiz (Greg Sherwood)
-Status: Assigned +Status: Closed